Subject: Re: bug#62962: 28.2; blocked key combinations in macos

From: Eric Blood <[email-masked]>
Date: Sat, 9 Sep 2023 17:27:27 -0600

thanks for walking through all of that with me.  i went back and tested
another mac window manager app, rectangle (https://rectangleapp.com/), and
it turns out with the same key combination that it works with the stock
build of emacs.  so it looks like magnet's method of moving windows, and
not the key combination (thanks to alan for the correction), is the culprit
here.

again thanks for all the help,
eric

On Wed, Sep 6, 2023 at 12:34 PM Stefan Kangas <[email-masked]>
wrote:

> Eric Blood <[email-masked]> writes:
>
> >> If this is a third-party build, so I'd suggest reporting this to the
> >> Emacs for MacOSX developers first.
> >
> > to be clear https://www.gnu.org/software/emacs/download.html does
> > point to https://emacsformacosx.com/ which would indicate it's
> > official in some manner. even the `brew install --cask emacs` (which
> > the download page instructs) points to these builds. i didn't realize
> > it's not considered an offical build.
>
> Aha, I wasn't aware.  It seems like they actually just build a stock
> Emacs, so I suppose that is fine, then.
>
> >> Alternatively, you could try building Emacs from source and see if
> >> you can reproduce the issue.
> >
> > ok, i just built it from source (haven't done that in years, not as
> > painful as it once was), but still the same issue.
>
> Thanks for testing.
>
> >> Does Emacs have support for this?
> >
> > i would think that any unbound key combinations should be passed to
> > the operating system, and with the *unofficial* railwaycat build, it
> > works.
>
> Is your suspicion here that the keys never reach Emacs, or is it that
> the special feature of the "Magnet" program that doesn't work like it
> should?
>
> >> What is the "railwaycat build"?
> >
> > https://github.com/railwaycat/homebrew-emacsmacport
>
> Noted, thanks.
>